# $Revision: 1.43 $, $Date: 2012/03/03 20:13:11 $
#
# Conditional build:
%bcond_without	vdpau		# build FFmpeg without VDPAU support
%bcond_without	system_ffmpeg	# system FFmpeg (note: upstream does not accept bugs with system ffmpeg)

%define		gstname gst-ffmpeg
%define		gst_major_ver   0.10
%define		gst_req_ver	0.10.31

%include	/usr/lib/rpm/macros.gstreamer
Summary:	GStreamer Streaming-media framework plug-in using FFmpeg
Summary(pl.UTF-8):	Wtyczka do środowiska obróbki strumieni GStreamer używająca FFmpeg
Name:		gstreamer-ffmpeg
Version:	0.10.13
Release:	2
# the ffmpeg plugin is LGPL, the postproc plugin is GPL
License:	GPL v2+ and LGPL v2+
Group:		Libraries
Source0:	http://gstreamer.freedesktop.org/src/gst-ffmpeg/%{gstname}-%{version}.tar.bz2
# Source0-md5:	7f5beacaf1312db2db30a026b36888c4
URL:		http://gstreamer.net/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake >= 1:1.10
BuildRequires:	bzip2-devel
BuildRequires:	gstreamer-devel >= %{gst_req_ver}
BuildRequires:	gtk-doc >= 1.3
BuildRequires:	gstreamer-plugins-base-devel >= %{gst_req_ver}
BuildRequires:	libtool
BuildRequires:	orc-devel >= 0.4.6
BuildRequires:	pkgconfig
BuildRequires:	python >= 2.1
BuildRequires:	rpmbuild(macros) >= 1.470
%if %{with system_ffmpeg}
# libavformat,libavcodec,libavutil,libpostproc,libswscale needed
BuildRequires:	ffmpeg-devel >= 0.7
%else
# TODO: fill the rest of ffmpeg dependencies used here
%if %{with vdpau}
BuildRequires:	libvdpau-devel
BuildRequires:	xorg-lib-libXvMC-devel
%endif
%endif
Requires:	gstreamer-plugins-base >= %{gst_req_ver}
Requires:	orc >= 0.4.6
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GStreamer is a streaming-media framework, based on graphs of filters
which operate on media data. Applications using this library can do
anything from real-time sound processing to playing videos, and just
about anything else media-related. Its plugin-based architecture means
that new data types or processing capabilities can be added simply by
installing new plug-ins.

This plugin contains the FFmpeg codecs, containing codecs for most
popular multimedia formats.

%description -l pl.UTF-8
GStreamer to środowisko obróbki danych strumieniowych, bazujące na
grafie filtrów operujących na danych medialnych. Aplikacje używające
tej biblioteki mogą robić wszystko od przetwarzania dźwięku w czasie
rzeczywistym, do odtwarzania filmów i czegokolwiek innego związanego z
mediami. Architektura bazująca na wtyczkach pozwala na łatwe dodawanie
nowych typów danych lub możliwości obróbki.

Wtyczka ta zawiera kodeki FFmpeg, potrafiące zdekodować
najpopularniejsze formaty multimedialne.

%prep
%setup -q -n %{gstname}-%{version}

%build
%{__libtoolize}
%{__aclocal} -I common/m4
%{__autoconf}
%{__autoheader}
%{__automake}

%configure \
	CPPFLAGS="%{rpmcppflags}" \
	%{?with_system_ffmpeg:--with-system-ffmpeg} \
	%{?with_vdpau:--with-ffmpeg-extra-configure="--enable-vdpau"} \
	--disable-silent-rules \
	--disable-static
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/gstreamer-%{gst_major_ver}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_libdir}/gstreamer-%{gst_major_ver}/libgstffmpeg.so
%attr(755,root,root) %{_libdir}/gstreamer-%{gst_major_ver}/libgstffmpegscale.so
%attr(755,root,root) %{_libdir}/gstreamer-%{gst_major_ver}/libgstpostproc.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gstreamer-ffmpeg.spec,v $
Revision 1.43  2012/03/03 20:13:11  arekm
- release 2

Revision 1.42  2011/11/03 19:40:28  qboosh
- updated to 0.10.13

Revision 1.41  2011/07/29 12:46:40  lisu
- merged with DEVEL

Revision 1.40  2011/07/22 18:32:36  qboosh
- updated to 0.10.12 (for ffmpeg 0.7/0.8)

Revision 1.39.2.1  2011/07/12 11:23:00  lisu
- updated to 0.10.11.2
- builds with newer ffmpeg

Revision 1.39  2011/07/06 07:16:40  lisu
- rel 2

Revision 1.38  2011/01/02 09:46:06  qboosh
- updated BRs
- vdpau enabled by default (using open-sourced libvdpau)

Revision 1.37  2010/11/08 13:51:14  glen
- system ffmpeg bcond, clarify license

Revision 1.36  2010/07/17 10:07:10  patrys
- 0.10.11

Revision 1.35  2010/05/31 09:04:02  patrys
- 0.10.10

Revision 1.34  2009/09/13 21:32:01  charles
- added vdpau bcond (for FFmpeg)
- proper gstreamer deps

Revision 1.33  2009/06/30 09:16:04  patrys
- 0.10.8

Revision 1.32  2009/03/22 15:19:44  patrys
- 0.10.7

Revision 1.31  2009/01/23 19:11:12  megabajt
- generate rpm provides for plugins
- release 2

Revision 1.30  2008/12/07 14:27:14  patrys
- 0.10.6

Revision 1.29  2008/10/20 00:18:00  patrys
- stop using system ffmpeg
- ffmpeg breaks API every week
- there are no proper releases
- gstreamer won't accept bugs for packages using external ffmpeg
- feel free to revert if you get it to build and want to maintain the patch

Revision 1.28  2008/10/19 13:01:07  arekm
- release 4

Revision 1.27  2008/10/12 14:25:07  radek
- release 3

Revision 1.26  2008/10/08 17:52:49  qboosh
- CFLAGS != CPPFLAGS

Revision 1.25  2008/10/04 23:32:42  blekot
- added -includes patch to rename to proper directories
- added proper CFLAGS to pass into configure
- needs more work/NFY

Revision 1.24  2008/10/04 22:24:27  blekot
- rel up (rebuild against updated ffmpeg)

Revision 1.23  2008-05-29 21:46:06  qboosh
- updated gstpb deps

Revision 1.22  2008-05-29 21:41:54  qboosh
- updated to 0.10.4
- removed obsolete nocpp patch
- use system ffmpeg libs (internal won't build with our configure parameters
  due to broken build system)

Revision 1.21  2007-12-16 01:23:58  qboosh
- updated to 0.10.3

Revision 1.20  2007-02-13 07:16:47  glen
- tabs in preamble

Revision 1.19  2007/02/12 00:48:54  baggins
- converted to UTF-8

Revision 1.18  2006/12/21 07:08:46  qboosh
- updated to 0.10.2

Revision 1.17  2006/04/04 20:10:07  qboosh
- updated to 0.10.1

Revision 1.16  2006/02/28 23:37:25  glen
- adapterized (killed trailing spaces/tabs)

Revision 1.15  2006/02/22 22:19:14  freetz
- specflagsppc defined

Revision 1.14  2006/01/31 21:15:02  freetz
- cleanup

Revision 1.13  2006/01/14 18:28:55  qboosh
- updated to 0.10.0, added nocpp patch

Revision 1.12  2005/11/30 19:45:26  wrobell
- ver. 0.8.7

Revision 1.11  2005/09/27 15:03:34  megabajt
- BR: automake

Revision 1.10  2005/06/27 16:11:46  freetz
- 0.8.5, fixed gstreamer requirement

Revision 1.9  2005/03/24 22:45:58  freetz
- 0.8.4

Revision 1.8  2005/01/05 14:15:10  qboosh
- release 2

Revision 1.7  2005/01/05 13:43:38  qboosh
- umask 022 for gst-register

Revision 1.6  2004/11/01 16:52:22  grzegol
- updated to 0.8.2

Revision 1.5  2004/07/18 22:11:41  grzegol
- updated to 0.8.1

Revision 1.4  2004/06/11 15:34:26  krzak
- more config.sub

Revision 1.3  2004/06/11 15:28:30  krzak
- config.sub for amd64

Revision 1.2  2004/04/14 22:13:32  qboosh
- typos, so perms

Revision 1.1  2004/04/14 21:46:40  aflinta
- PLD initial release
